@Echo Off
Title 快速安装 By:Yanu
Pushd %~dp0
Rd "%SystemRoot%\system32\CCAV1_Yanu" 2>nul
Md "%SystemRoot%\system32\CCAV1_Yanu" 2>nul||(Echo 请使用右键管理员身份运行&&Pause >nul&&Exit)
Rd "%SystemRoot%\system32\CCAV1_Yanu" 2>nul
Echo 按任意键开始安装VC运行库，否则关闭本窗口！&&Pause
Cls
If "%PROCESSOR_ARCHITECTURE%"=="AMD64" (Goto 64) Else (Goto 32)
:64
Echo Visual C++ 2005 Redistributable Package (x64)...
"%~dp02005vcredist_x64\vcredist.msi" /quiet
Echo Visual C++ 2008 Redistributable Package (x64)...
"%~dp02008vcredist_x64.exe" /Q
Echo Visual C++ 2010 Redistributable Package (x64)...
"%~dp02010vcredist_x64.exe" /Q
Echo Visual C++ 2012 Redistributable Package (x64)...
"%~dp02012vcredist_x64.exe" /quiet
Echo Visual C++ 2013 Redistributable Package (x64)...
"%~dp02013vcredist_x64.exe" /quiet
Goto 32
:32
Echo Visual C++ 2005 Redistributable Package (x32)...
"%~dp02005vcredist_x32\vcredist.msi" /quiet
Echo Visual C++ 2008 Redistributable Package (x32)...
"%~dp02008vcredist_x86.exe" /Q
Echo Visual C++ 2010 Redistributable Package (x32)...
"%~dp02010vcredist_x86.exe" /Q
Echo Visual C++ 2012 Redistributable Package (x32)...
"%~dp02012vcredist_x86.exe" /quiet
Echo Visual C++ 2013 Redistributable Package (x32)...
"%~dp02013vcredist_x86.exe" /quiet
Echo 安装完成！按任意键退出&&Pause
